package  com.ibm.esb.common;
/*
 * Modification History
 * Date       Author       Change#   Description
 * ----------------------------------------------------
 * 03/03/2019 Sudhakar     C000      Initial Version
*/
import com.ibm.broker.javacompute.MbJavaComputeNode;
import com.ibm.broker.plugin.*;

public class AppendRFH2 extends MbJavaComputeNode {

	public void evaluate(MbMessageAssembly inAssembly) throws MbException {
		MbOutputTerminal out = getOutputTerminal("out");
		// MbOutputTerminal alt = getOutputTerminal("alternate");

		// MbMessage inMessage = inAssembly.getMessage();

		// create new message - copy incoming message
		MbMessage outMessage = new MbMessage(inAssembly.getMessage());
		MbMessageAssembly outAssembly = new MbMessageAssembly(inAssembly,
				outMessage);

		// ----------------------------------------------------------
		// Add user code below

		// MbElement inRoot = inMessage.getRootElement();
		MbElement outRoot = outMessage.getRootElement();

		// outRoot.createElementAsLastChild("MQRFH2");

		MbElement rfh2 = outRoot.getFirstElementByPath("MQRFH2");

		if (rfh2 == null) {
			MbElement mqmd = outRoot.getFirstElementByPath("MQMD");
			// CREATE NEW MQRFH2 HEADER
			rfh2 = mqmd.createElementAfter("MQRFH2");
		}

		MbElement usr = rfh2.getFirstElementByPath("usr");
		if (usr == null)
			usr = rfh2.createElementAsFirstChild(MbElement.TYPE_NAME, "usr",
					null);

		// End of user code
		// ----------------------------------------------------------

		out.propagate(outAssembly);
		outMessage.clearMessage();
	}

	public void copyMessageHeaders(MbMessage inMessage, MbMessage outMessage)
			throws MbException {
		MbElement outRoot = outMessage.getRootElement();
		MbElement header = inMessage.getRootElement().getFirstChild();
		while (header != null && header.getNextSibling() != null) {
			outRoot.addAsLastChild(header.copy());
			header = header.getNextSibling();
		}
	}
}
