package  com.ibm.esb.common;
/*
 * Modification History
 * Date       Author       Change#   Description
 * ----------------------------------------------------
 * 03/03/2019 Sudhakar     C000      Initial Version
*/
import com.ibm.broker.javacompute.MbJavaComputeNode;
import com.ibm.broker.plugin.*;

public class RemoveRFH2MCDFolder extends MbJavaComputeNode {

	public void evaluate(MbMessageAssembly inassembly) throws MbException {
		MbOutputTerminal out = getOutputTerminal("out");

		// ----------------------------------------------------------
		// Add user code below
		
		MbMessage outMessage = new MbMessage(inassembly.getMessage());
		MbMessageAssembly outAssembly = new MbMessageAssembly(inassembly, outMessage);
		MbElement outRoot = outMessage.getRootElement();
		
		try {
			MbElement rfh2mcd = outRoot.getFirstElementByPath("MQRFH2/mcd");
			if (rfh2mcd != null)
				rfh2mcd.detach();
		} catch (Exception e) { ; }
		
		// End of user code
		// ----------------------------------------------------------

		// The following should only be changed
		// if not propagating message to the 'out' terminal

		out.propagate(outAssembly);
		outMessage.clearMessage();
	}

}
